# Welcome to django-allauth!

Integrated set of Django applications addressing authentication, registration, account management as well as 3rd party (social) account authentication.

Home page

  https://allauth.org/

Source code

  https://codeberg.org/allauth/django-allauth

Issue Tracker

  https://codeberg.org/allauth/django-allauth/issues

Documentation

  https://docs.allauth.org/en/latest/

Stack Overflow

  https://stackoverflow.com/questions/tagged/django-allauth

Demo

  https://django.demo.allauth.org and https://react.demo.allauth.org

Translations

  https://hosted.weblate.org/projects/allauth/django-allauth/

## Contents

- Introduction
  - Rationale
  - Features
  - Design
- Installation
  - Requirements
  - Quickstart
  - Example Projects
- Regular Accounts
  - Introduction
  - Configuration
  - Rate Limits
  - Views
  - Template Tags
  - Forms
  - Decorators
  - Signals
  - Email
  - Adapter
  - Advanced Usage
- Social Accounts
  - Introduction
  - Configuration
  - Provider Configuration
  - Views
  - Template Tags
  - Forms
  - Signals
  - Providers
  - Adapter
  - Advanced Usage
- Multi-Factor Authentication
  - Introduction
  - Configuration
  - Forms
  - Adapter
  - WebAuthn
  - Upgrading from django-allauth-2fa
- User Sessions
  - Introduction
  - Installation
  - Configuration
  - Signals
  - Adapter
- Headless
  - Introduction
  - Installation
  - Configuration
  - API
  - Adapter
  - Token Strategy
- Common Functionality
  - Configuration
  - Sending Email
  - Templates
  - Messages
  - Admin
  - HTTPS
- Project
  - Commercial Support
  - Funding
- Frequently Asked Questions
  - Overall
  - Troubleshooting
  - Development
- Release Notes
  - Recent
  - History

## Indices and tables

- Index

- Search Page